## GMimeStreamMmap GMimeStreamMmap — A memory-mapped file stream |

## Functions

GMimeStream * | g_mime_stream_mmap_new ()
GMimeStream * | g_mime_stream_mmap_new_with_bounds ()

## Types and Values

struct | GMimeStreamMmap

## Object Hierarchy

        GObject
        ╰── GMimeStream
            ╰── GMimeStreamMmap

## Description

A GMimeStream implementation using a memory-mapped file backing store. This may be faster than GMimeStreamFs or GMimeStreamFile but you'll have to do your own performance checking to be sure for your particular application/platform.

## Functions

### g_mime_stream_mmap_new ()

    GMimeStream *
    g_mime_stream_mmap_new (int fd,
                            int prot,
                            int flags);

Creates a new GMimeStreamMmap object around `fd` .

#### Parameters

fd | file descriptor |
prot | protection flags |
flags | map flags |

#### Returns

a stream using `fd` .

### g_mime_stream_mmap_new_with_bounds ()

    GMimeStream *
    g_mime_stream_mmap_new_with_bounds (int fd,
                                        int prot,
                                        int flags,
                                        gint64 start,
                                        gint64 end);

Creates a new GMimeStreamMmap object around `fd` with bounds `start` and `end` .

#### Parameters

fd | file descriptor |
prot | protection flags |
flags | map flags |
start | start boundary |
end | end boundary |

#### Returns

a stream using `fd` with bounds `start` and `end` .

## Types and Values

### struct GMimeStreamMmap

    struct GMimeStreamMmap;

A memory-mapped GMimeStream.

#### Members

## See Also

GMimeStream